Subject: Re: autoconf 2.54-1 writes dos files
From: "Gerrit P. Haase" <[email-masked]>
To: Sam Steingold <[email-masked]>
Cc: "Gerrit @ cygwin" <[email-masked]>
Date: Tue, 2 Sep 2003 21:46:50 +0200

Hallo Sam,

>> the real information about your perl version is displayed via
>> `perl -V` (capital V):

> Characteristics of this binary (from libperl):
>   Compile-time options: MULTIPLICITY USE_64_BIT_INT USE_LARGE_FILES PERL_IMPLICIT_CONTEXT
>   Built under cygwin
>   Compiled at Aug 29 2003 12:06:59
>   %ENV:
>     PERLIO="raw"
>     CYGWIN=""
>   @INC:
>     /usr/lib/perl5/5.8.0/cygwin-multi-64int
>     /usr/lib/perl5/5.8.0
>     /usr/lib/perl5/site_perl/5.8.0/cygwin-multi-64int
>     /usr/lib/perl5/site_perl/5.8.0
>     /usr/lib/perl5/site_perl
>     .

> following a recomendation on this list, I 'export PERLIO="raw"' in
> /etc/profile. 

But it shouldn't be neccessary to avoid CR/LF line endings.

You have exactly the 5.8.0-5 release.  Really interesting.

./myconfig
...
Characteristics of this binary (from libperl):
  Compile-time options: MULTIPLICITY USE_64_BIT_INT USE_LARGE_FILES PERL_IMPLICIT_CONTEXT
  Built under cygwin
  Compiled at Aug 29 2003 12:06:59
  %ENV:
    CYGWIN="ntsec binmode tty nowinsymlinks"

I don't need to set PERLIO and get no CR/LF line endings.
Can you try if it makes a difference if you set CYGWIN in
your global environment like I do, though at least binmode
and ntsec are on by default?

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/